Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.domain
Class Superclass

    java.lang.Object
      org.hibernate.metamodel.domain.AbstractAttributeContainer
          org.hibernate.metamodel.domain.Superclass

All Implemented Interfaces:
  AttributeContainer, Hierarchical, Type

    public class Superclass

extends AbstractAttributeContainer

Models the concept of a (intermediate) superclass

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.metamodel.domain.AbstractAttributeContainer
`AbstractAttributeContainer.IndexedPluralAttributeImpl, AbstractAttributeContainer.PluralAttributeImpl, AbstractAttributeContainer.SingularAttributeImpl`

Constructor Summary
`Superclass(String entityName, String className, Value<Class<?>> classReference, Hierarchical superType)` Constructor for the entity

Method Summary
`boolean` | `isAssociation()`
`boolean` | `isComponent()`

Methods inherited from class org.hibernate.metamodel.domain.AbstractAttributeContainer
`addAttribute, attributes, createBag, createComponentAttribute, createList, createMap, createPluralAttribute, createSet, createSingularAttribute, createVirtualSingularAttribute, getClassName, getClassReference, getClassReferenceUnresolved, getName, getRoleBaseName, getSuperType, locateAttribute, locateBag, locateComponentAttribute, locateList, locateMap, locatePluralAttribute, locateSet, locateSingularAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Superclass

    public Superclass(String entityName,
                      String className,
                      Value<Class<?>> classReference,
                      Hierarchical superType)

  Constructor for the entity

  Parameters:
    `entityName` - The name of the entity
    `className` - The name of this entity's java class
    `classReference` - The reference to this entity's `Class`
    `superType` - The super type for this entity. If there is not super type `null` needs to be passed.

Method Detail

### isAssociation

    public boolean isAssociation()

### isComponent

    public boolean isComponent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.